html {
  background-color: #fff;
}
body {
  height: 100%;
  overflow-y: scroll;
  width: 100%;
}
pre {
  background: #f8f9fa;
  border-radius: 2px;
  color: #222;
}
a {
  color: #36c;
}
a:hover {
  color: #447ff5;
}
a:active {
  color: #2a4b8d;
}
#empty-query-error,
#hide-explorer,
#loading-spinner,
#query-error,
#query-error-short,
#query-result,
.action-bar,
.explorer-panel,
.result {
  display: none;
}
.navbar,
.toolbar {
  -webkit-box-shadow: none;
  box-shadow: none;
  white-space: nowrap;
}
.navbar {
  margin-bottom: 0;
}
.navbar .dropdown-menu {
  background: #f8f9fa;
  z-index: 1001;
  /* above the Leaflet control containers */
}
.navbar .dropdown-menu > li > a {
  border-radius: 2px;
  padding: 5px 20px;
}
.navbar .dropdown-menu > li > a:hover {
  background: #fff;
}
.navbar .help {
  padding-left: 0;
}
.navbar-brand {
  line-height: 35px;
  padding: 5px 15px;
  vertical-align: middle;
}
.navbar-brand a {
  text-decoration: none;
}
.navbar-brand img {
  margin-left: 2px;
  margin-right: 10px;
}
.navbar-btn {
  margin-left: 15px;
}
.navbar-default {
  background: #f8f9fa;
  border-bottom: 1px solid #c8ccd1;
  border-radius: 2px;
}
.navbar-right {
  margin-right: 0;
}
.navbar-toggle {
  z-index: 100;
}
a.disabled {
  color: #72777d;
}
.btn:active {
  box-shadow: none;
}
.btn-default {
  -webkit-box-shadow: none;
  background: #f8f9fa;
  border-radius: 2px;
  border: 1px solid #c8ccd1;
  box-shadow: none;
  text-shadow: none;
}
.btn-default:active {
  background: #c8ccd1;
}
.btn-default:hover {
  background: #fff;
}
.form-control {
  border-radius: 2px;
}
.wikibase-queryservice {
  background-color: #fff;
}
.action-bar .progress {
  font-size: 30px;
  height: 30px;
}
.action-bar .progress-bar {
  font-size: 16px;
  font-weight: bold;
  line-height: 30px;
}
.action-bar .label {
  display: block;
  font-size: 16px;
  line-height: 20px;
}
#empty-query-error {
  color: #d33;
  font-size: 1.5em;
  margin-top: 5%;
}
.error {
  font-family: monospace;
  margin: 20px;
  overflow-x: scroll;
  white-space: pre;
}
.label,
.progress {
  border-radius: 2px;
}
.label-danger {
  background: #d33;
}
.graph-iframe {
  border: none;
  height: 90vh;
  margin: 0;
  width: 100%;
}
#layout-options {
  margin-top: -35px;
  text-align: center;
}
.error-line {
  border-bottom: 2px dotted #d33;
}
.error-character {
  background: #d33;
  color: #fff;
}
#execute-button {
  -webkit-box-shadow: none;
  background: #36c;
  border-radius: 2px;
  border: 2px solid #36c;
  box-shadow: none;
  margin-bottom: 5px;
  padding-bottom: 7px;
  padding-top: 7px;
  width: 46px;
}
#execute-button:hover {
  background: #447ff5;
  border-color: #447ff5;
}
#execute-button:active {
  background: #2a4b8d;
  border-color: #2a4b8d;
}
#query-result {
  width: 100%;
  /* MultiDimensionResultBrowser */
  /* MultiDimensionResultBrowser */
  /* MultiDimensionResultBrowser */
  /* Tree */
  /* Treemap */
  /* ImageGrid */
}
#query-result pre {
  background-color: inherit;
  border: none;
  display: inline;
  font-family: serif;
  font-size: 12px;
  margin: 10px 30px;
  overflow: auto;
  tab-size: 21;
  width: 900px;
}
#query-result .foreground path {
  fill: none;
  pointer-events: none;
  stroke-opacity: 0.4;
  stroke-width: 3px;
  stroke: #222;
}
#query-result .axis line,
#query-result .axis path {
  fill: none;
  stroke-width: 1px;
  stroke: #000;
}
#query-result .axis .title {
  font-size: 8px;
  font-weight: bold;
  text-transform: uppercase;
  transform: rotate(-12deg) translate(-5px, -6px);
}
#query-result .brush .extent {
  fill-opacity: 0.3;
  stroke-width: 1px;
  stroke: #fff;
}
#query-result .jstree {
  padding: 1em;
}
#query-result .jstree-default .jstree-wholerow-hovered {
  background: #447ff5;
  border-radius: 2px;
  color: #fff;
}
#query-result .jstree-default .jstree-wholerow-clicked {
  background: #36c;
  border-radius: 2px;
  color: #fff;
}
#query-result .jstree a.jstree-anchor.jstree-clicked {
  color: #fff;
}
#query-result .labelbody {
  background: transparent;
  cursor: pointer;
  overflow: hidden;
}
#query-result .img-grid {
  font-size: 0.85em;
  margin: 2em auto;
  padding: 0;
  width: 95%;
}
#result-browser-menu .fa,
#result-browser-menu .glyphicon {
  padding: 0 0.5em 0 0;
}
.toolbar-label {
  position: absolute;
}
.toolbar-icon {
  position: relative;
  left: 105px;
}
.table-cell-selected {
  background-color: #eaf3ff;
}
.fixed-table-pagination {
  margin-bottom: 2.5em;
}
.CodeMirror {
  border-left: 1px solid #c8ccd1;
  border: none;
  height: 100%;
}
.CodeMirror .cm-atom {
  color: #2a4b8d;
}
.CodeMirror .cm-bracket {
  color: inherit;
}
.CodeMirror .cm-builtin {
  color: #b32424;
}
.CodeMirror .cm-comment {
  color: #72777d;
}
.CodeMirror .cm-keyword {
  color: #b32424;
}
.CodeMirror .cm-operator {
  color: inherit;
}
.CodeMirror .cm-string {
  color: #ac6600;
}
.CodeMirror .cm-variable-2 {
  color: #14866d;
}
.CodeMirror-scroll {
  min-height: 320px;
}
.CodeMirror-hints {
  direction: ltr;
}
.CodeMirror-hint {
  max-width: 19em;
}
pre.CodeMirror-placeholder {
  color: #72777d;
}
.queryEditor {
  border: 0;
  font-family: monospace;
  min-height: 273px;
  padding: 0;
  width: 100%;
}
.exampleQueries {
  width: 160px;
}
.exampleIcons {
  width: 0;
}
iframe.shortUrl {
  border: none;
  height: 40px;
  width: 250px;
}
div.shortUrl {
  height: 40px;
  width: 250px;
}
.dropdown-menu {
  border-radius: 2px;
}
.query-main {
  display: flex;
  flex-direction: row;
  max-width: 100%;
}
.query-main > .toolbar {
  display: flex;
  flex-direction: column;
  flex: 0 0 55px;
}
.query-main > .toolbar .dropdown-menu {
  padding-left: 0.8em;
  padding-right: 0.8em;
}
.query-helper-and-editor {
  display: flex;
  flex-direction: row;
  flex: 1 1 auto;
}
#query-box {
  position: relative;
}
#query-box .status {
  color: #72777d;
  font-size: 12px;
  margin-bottom: 5px;
  min-height: 25px;
  padding: 3px;
}
#query-box .status .badge {
  border-radius: 2px;
  border: 1px solid #eaecf0;
}
#query-box .status .list-group-item-danger {
  background-color: #fee7e6;
  color: #b32424;
  text-decoration-color: #b32424;
}
#query-box .status .list-group-item-success {
  background-color: #d5fdf4;
  color: #14866d;
  text-decoration-color: #14866d;
}
#query-box .status .list-group-item-warning {
  background-color: #fef6e7;
  color: #ac6600;
  text-decoration-color: #ac6600;
}
#query-box .nav {
  margin-left: 0;
}
#query-box .toolbar {
  border-right: 1px solid #c8ccd1;
}
#query-box .toolbar .fa {
  font-size: 1.5em;
}
#query-box .toolbar-bottom {
  flex-grow: 0;
  padding-bottom: 0.2em;
  padding-top: 1em;
  text-align: center;
}
#query-box .toolbar-bottom .fa {
  font-size: 1.8em;
}
#query-box .toolbar-top {
  flex-grow: 1;
  opacity: 0.5;
  padding-top: 0.5em;
  text-align: center;
  visibility: hidden;
  margin-right: 4px;
}
#query-box .toolbar-top:hover {
  opacity: 1;
}
.dataUpdated > span:nth-child( 1 ) {
  padding: 5px;
}
.query-editor-container {
  flex: 1 1 auto;
  width: 100%;
}
.splitter {
  background-color: #eaf3ff;
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAhCAQAAABOpSL+AAAAIklEQVR4AWMwbb/PdR+JZDD9f1/oPhI5sgVGBSruc9xHIgGdSQqqQJGkRgAAAABJRU5ErkJggg== );
  /* node_modules/jquery-resizable-dom/assets/vsizegrip.png */
  background-position: center center;
  background-repeat: no-repeat;
  cursor: col-resize;
  flex: 0 0 auto;
  width: 1em;
}
.jq-toast-single a {
  border: none;
}
.alert {
  margin-bottom: 0;
}
.popover {
  border-radius: 2px;
  max-width: 80vw;
  width: auto;
}
.popover-title {
  border-radius: 2px;
}
.dropdown-toggle .fa:before,
.dropdown-toggle .glyphicon:before {
  margin-right: 3px;
}
.nav > li {
  float: left;
}
.nav-tabs > li > a {
  border-radius: 2px 2px 0 0;
}
/**
	To allow dropdown to function normally in small screens
	and allow buttons display the same way as in full size
**/
@media (max-width: 768px) {
  .navbar-left {
    float: left !important;
    margin: 0;
  }
  .navbar-right {
    float: right !important;
  }
  .navbar-nav .open .dropdown-menu {
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.175);
    background-color: #fff;
    border: 1px solid #eaecf0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.175);
    position: absolute;
    width: auto;
  }
  .navbar-collapse.in {
    overflow-y: visible;
  }
  .panel-body .table td {
    display: inline-block;
  }
}
/*
	editor hint style
*/
.wikibase-rdf-hint {
  border-bottom: 1px solid #c8ccd1;
  white-space: normal;
}
/**
	Keyboard Shortcut Help dialog
**/
.keyboard-shortcut-help td,
.keyboard-shortcut-help th {
  padding: 8px;
  vertical-align: middle;
}
/**
	Query example dialog
**/
.QueryExamples .modal-content {
  border-radius: 2px;
  padding: 20px 15px;
}
.QueryExamples .modal-content .tag {
  background-color: #36c;
  background-image: none;
  padding: 0.4em 0.6em;
  text-shadow: none;
}
.QueryExamples .modal-content .tag:hover,
.QueryExamples .modal-content .tag:active {
  background: #36c;
}
.QueryExamples .modal-content .tagCloud {
  height: 200px;
  width: 100%;
}
.QueryExamples .modal-content input.tags-input {
  visibility: hidden;
}
.QueryExamples .modal-content .tagFilter {
  padding-bottom: 5px !important;
}
.QueryExamples .modal-content .exampleTable {
  border: 1px solid #a2a9b1;
  max-height: 500px;
  overflow-x: hidden;
  overflow-y: auto;
}
.QueryExamples .modal-content .exampleTable td {
  padding: 8px 10px;
}
.QueryExamples .modal-content .exampleTable .glyphicon-pencil {
  margin-left: 0.3em;
}
.QueryExamples .modal-content .input-group-addon {
  border-radius: 2px;
  border: 1px solid #a2a9b1;
}
.modal-content {
  border-radius: 2px;
}
.explorer-dialog {
  position: absolute !important;
  display: none;
  z-index: 1000;
  background-color: #fff;
  resize: both;
  overflow: none;
}
.explorer-dialog iframe {
  height: 100%;
  width: 100%;
}
.explorer-body {
  height: 100%;
  width: 100%;
  padding: 0 0 15px 0;
}
.explorer-header {
  height: 55px;
  background-image: linear-gradient(to bottom, #f5f5f5 0, #e8e8e8 100%);
  background-repeat: repeat-x;
}
.explorer-title {
  font-size: 1.3em;
}
/*Disable resizing from all sides except bottom right corner*/
.gj-resizable-e,
.gj-resizable-n,
.gj-resizable-w,
.gj-resizable-s,
.gj-resizable-nw,
.gj-resizable-ne,
.gj-resizable-sw {
  display: none;
}
.disable-selection {
  -moz-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  -webkit-user-select: none;
  -webkit-touch-callout: none;
  user-select: none;
}
/**
	Code example dialog
**/
.CodeExamples .tab-content .url {
  margin: 2em;
  word-wrap: break-word;
}
/* Tag cloud, words are more transparent when less important */
div.jqcloud {
  color: #36c;
}
div.jqcloud a {
  color: inherit;
}
div.jqcloud a:hover {
  color: #447ff5;
}
div.jqcloud span.w10 {
  color: #36c;
}
div.jqcloud span.w9 {
  color: rgba(51, 102, 204, 0.9);
}
div.jqcloud span.w8 {
  color: rgba(51, 102, 204, 0.8);
}
div.jqcloud span.w7 {
  color: rgba(51, 102, 204, 0.75);
}
div.jqcloud span.w6 {
  color: rgba(51, 102, 204, 0.7);
}
div.jqcloud span.w5 {
  color: rgba(51, 102, 204, 0.65);
}
div.jqcloud span.w4 {
  color: rgba(51, 102, 204, 0.6);
}
div.jqcloud span.w3 {
  color: rgba(51, 102, 204, 0.55);
}
div.jqcloud span.w2 {
  color: rgba(51, 102, 204, 0.5);
}
div.jqcloud span.w1 {
  color: rgba(51, 102, 204, 0.45);
}
.item {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  background: #fff;
  box-shadow: 2px 2px 4px 0 #ccc;
  box-sizing: border-box;
  display: inline-block;
  margin: 0 0.75em 1.5em;
  padding: 1em;
}
.item.hidden {
  visibility: hidden;
}
.item-row {
  width: 100%;
}
.hidden-row {
  height: 50px;
  visibility: hidden;
}
.hidden-row > .item {
  display: none;
}
.item-img {
  width: 100%;
}
.summary .glyphicon {
  display: inline;
}
.summary > div {
  height: 1.5em;
}
.summary > div > span {
  display: block;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
/* loading spinner */
#loading-spinner {
  color: #72777d;
}
#loading-spinner > .fa-spinner {
  display: block;
  margin: 0 auto 20px;
}
/*
	Query Helper
*/
#query-box .query-helper {
  flex: 0 0 auto;
  max-width: 80vw;
  min-width: 300px;
  width: 30vw;
  z-index: 100;
}
#query-box .query-helper .panel {
  -webkit-box-shadow: none;
  border: none;
  box-shadow: none;
}
#query-box .query-helper .panel-heading {
  background: #fff;
  border-bottom: 1px solid #eaecf0;
  padding: 8px 10px;
}
#query-box .query-helper .panel-body {
  font-size: 11pt;
  padding: 10px 0;
}
#query-box .query-helper .panel-body > span {
  padding: 10px;
}
#query-box .query-helper .panel-body-sub .query-helper-data {
  margin-bottom: 10px;
  margin-top: 10px;
  width: auto;
}
#query-box .query-helper .panel-body-sub .query-helper-data tbody > tr > td {
  padding: 6px;
}
#query-box .query-helper .panel-body-sub .query-helper-data tr {
  padding: 0.8em;
}
#query-box .query-helper .panel-body-sub .query-helper-data tr:first-child,
#query-box .query-helper .panel-body-sub .query-helper-data tr:last-child {
  border-bottom: none;
}
#query-box .query-helper .panel-body-sub .query-helper-data tr:hover {
  background: inherit;
}
#query-box .query-helper .panel-body-sub .query-helper-data td {
  border: none;
  vertical-align: middle;
}
#query-box .query-helper .panel-body-sub .query-helper-data .fa {
  font-size: 1.25em;
  margin: 0 6px 0 0;
  text-decoration: none;
}
#query-box .query-helper .panel-body-sub .query-helper-limit-section {
  padding: 12px;
}
#query-box .query-helper .panel-body-sub .query-helper-section {
  border-bottom: 1px solid #eaecf0;
  height: 3em;
  padding: 10px 0;
  width: 100%;
}
#query-box .query-helper .panel-body-sub .query-helper-section > tr > td:first-child {
  min-width: 95px;
  width: 0;
}
#query-box .query-helper .panel .close {
  float: inline-end;
}
#query-box .query-helper tr:hover > .toolbar {
  opacity: 1;
}
#query-box .query-helper .popover {
  min-width: 250px;
  white-space: nowrap;
}
#query-box .query-helper-hidden,
#query-box .query-helper-hidden + .splitter {
  display: none;
}
.select2-container {
  min-width: 150px;
  margin: 2px;
}
.select2-container .select2-dropdown {
  border-radius: 0 0 2px 2px;
  background: #f8f9fa;
}
.select2-container .select2-results__option[aria-selected='true'] {
  background: inherit;
}
.select2-container .select2-results__option--highlighted[aria-selected] {
  background: #fff;
  color: #222;
}
.select2-container .select2-selection--single {
  border-radius: 2px;
}
.select2-container .select2-selection--single .select2-selection__rendered {
  color: #222;
}
.popover .select2-container {
  min-width: 200px;
}
.query-helper-tag-cloud .tagCloud {
  height: 200px;
  width: 45vw;
}
/*
	ULS
*/
.nav .uls-trigger {
  display: none;
  padding-left: 30px;
}
/*
	VIS
*/
.vis-item {
  color: #222;
  padding: 15px;
}
.vis-item.vis-selected {
  background: #c8ccd1;
  border-color: #a2a9b1;
  color: #000;
}
.vis-item,
.vis-item.vis-line {
  background: #f8f9fa;
  border-color: #a2a9b1;
}
/* T163984 */
.vis-item.vis-range:hover {
  /*
	 * let hovered timeline ranges expand to fit their content
	 * (needs !important because width is set directly on the element)
	 */
  width: unset !important;
  /* also draw them over other, non-hovered ranges */
  z-index: 100;
}
@media (max-width: 900px) {
  .CodeMirror {
    border: none;
    border-top: 1px solid #c8ccd1;
  }
  .CodeMirror-scroll {
    min-height: 150px;
  }
  #query-box .query-helper {
    max-width: none;
    min-width: 0;
    width: 100%;
  }
  #query-box .query-helper .panel {
    margin: 0;
  }
  .query-helper-and-editor {
    flex-direction: column;
  }
  .query-helper-and-editor > .splitter {
    display: none;
  }
}
.ekko-lightbox-nav-overlay a span {
  padding: 0;
}
